<form
        [formGroup]="signupForm"
        (ngSubmit)="onSubmitSignupForm()">

<div
        *ngIf="errorMsg" class="alert alert-danger">
    {{errorMsg}}
</div>
    <label>Prenom</label>
    <div *ngIf="(signupForm.controls.firstName.dirty
    || signupForm.controls.firstName.touched)
    && signupForm.controls.firstName.invalid
  && signupForm.controls.firstName.errors.required"
         class="alert alert-danger">
        Le prenom est obligatoire
    </div>
    <div class="input-group form-group-no-border">
        <div class="input-group-prepend">
                <span class="in,put-group-text">
                    <i class="nc-icon nc-alert-circle-i"></i>
                </span>
        </div>

        <input
                type="text" class="form-control" placeholder="Prenom"
                formControlName="firstName"
                [(ngModel)]="user.firstName">
    </div>

    <label>Nom</label>
    <div
            *ngIf="(signupForm.controls.lastName.dirty
            || signupForm.controls.lastName.touched)
            && signupForm.controls.lastName.invalid
            && signupForm.controls.lastName.errors.required"
            class="alert alert-danger">
        Le nom est obligatoire
    </div>
    <div class="input-group form-group-no-border">
        <div class="input-group-prepend">
                <span class="in,put-group-text">
                    <i class="nc-icon nc-alert-circle-i"></i>
                </span>
        </div>

        <input
                type="text" class="form-control" placeholder="Nom"
                formControlName="lastName"
                [(ngModel)]="user.lastName">
    </div>


    <label>Email</label>
    <div
            *ngIf="(signupForm.controls.email.dirty
            || signupForm.controls.email.touched)
            && signupForm.controls.email.invalid
            && signupForm.controls.email.errors.required"
            class="alert alert-danger">
        L'adresse email est obligatoire
    </div>
    <div class="input-group form-group-no-border">
        <div class="input-group-prepend">
                <span class="in,put-group-text">
                    <i class="nc-icon nc-email-85"></i>
                </span>
        </div>

        <input
                type="email" class="form-control" placeholder="Email"
                formControlName="email"
                [(ngModel)]="user.email">
    </div>


    <label>Mot de passe</label>
    <div
            *ngIf="(signupForm.controls.password.dirty
            || signupForm.controls.password.touched)
            && signupForm.controls.password.invalid
            && signupForm.controls.password.errors.required"
            class="alert alert-danger">
        Le mot de passe est obligatoire
    </div>
    <div class="input-group form-group-no-border">
        <div class="input-group-prepend">
                <span class="in,put-group-text">
                    <i class="nc-icon nc-key-25"></i>
                </span>
        </div>

        <input
                type="password" class="form-control" placeholder="Mot de passe"
                formControlName="password"
                [(ngModel)]="user.password">
    </div>

    <button class="btn btn-danger btn-block btn-round">Inscription</button>
</form>
<div class="forgot">
<a routerLink="/signin" class="btn btn-danger btn-link">Retour</a>
</div>
